package com.adictos.tutorial.dbunit;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Service;

@Service
public class UserService {

	@Autowired
	private JdbcTemplate jdbcTemplate;
	
	public List<User> getUsers () {
		
		return jdbcTemplate.query("select * from users", new UserMapper ());
	}
	
	private class UserMapper implements RowMapper<User> {

		@Override
		public User mapRow(ResultSet rs, int rowNum) throws SQLException {
			
			return new User(rs.getInt("id"), rs.getString("name"));
		}
		
	}
}
