package com.adictos.tutorial.dbunit;

import java.util.List;

import junit.framework.Assert;

import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.adictos.test.DBUnitUtils;

@RunWith (SpringJUnit4ClassRunner.class)
//Indicamos el fichero de configuración de spring
@ContextConfiguration (locations = {"classpath:context-test.xml"})
public class UserServiceTest {

	public static final String DRIVER_NAME_HSQLDB = "org.hsqldb.jdbcDriver";
	public static final String URL_HSQLDB = "jdbc:hsqldb:mem:dbunit";
	public static final String USER_HSQLDB = "sa";
	public static final String PASSWORD_HSQLDB = "";

	@Autowired
	UserService userService;	
	
	
	@BeforeClass
	public static void startUp ()  {
		try {
			//Creamos las tablas necesarias para el test antes de cargar los datos
			DBUnitUtils.executeSql(DRIVER_NAME_HSQLDB, 
					URL_HSQLDB, USER_HSQLDB, 
					PASSWORD_HSQLDB, "ddl");
			//Cargamos los datos para el test
			DBUnitUtils.createData(DRIVER_NAME_HSQLDB, 
					URL_HSQLDB, USER_HSQLDB, 
					PASSWORD_HSQLDB, "initdb");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}	  
	}
					
	@Test
	public void getAllTutorialsNoMigratedOfUserMigrated() {
		
		List<User> users = userService.getUsers();
		Assert.assertNotNull(users);
		Assert.assertTrue(users.size() == 2);
	}

}
